Zum Inhalt

Theme

Overview

Description Method Endpoint
Read all themes GET /hosting/api/client/{clientId}/domain/{domainId}/theme
Read Theme GET /hosting/api/client/{clientId}/domain/{domainId}/theme/{themeId}
Update Theme PUT /hosting/api/client/{clientId}/domain/{domainId}/theme/{themeId}
Remove Theme DELETE /hosting/api/client/{clientId}/domain/{domainId}/theme/{themeId}

Create Theme

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}/theme

Method: POST

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain associated with the customer account

Payload: Theme

Response:

  • 201 – Resource successfully created
  • Theme
  • 400 – Invalid or missing properties

Retrieve all themes

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}/theme

Method: GET

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain associated with the customer account

Response:

  • 200 – Success
  • Theme[]

Retrieve theme

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}/theme/{themeId}

Method: GET

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain that exists in the customer account
  • {themeId}: string – The ID of the resource to be updated

Response:

  • 200 – Success
  • Theme
  • 404 – Resource not found

Update Theme

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}/theme/{themeId}

Method: PUT

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain associated with the customer account
  • {themeId}: string – The ID of the resource to be updated

Payload: Theme

Response:

  • 200 – Success
  • Theme
  • 400 – Invalid or missing properties
  • 404 – Resource not found

Remove theme

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}/theme/{themeId}

Method: DELETE

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain that exists in the customer account
  • {themeId}: string – The ID of the resource to be processed

Response:

  • 204 – Resource successfully deleted
  • 404 – Resource not found